function outputSat = PID (i, control, value, pControl)
  % Proportional action : Kp*(b*ref - value)
  P = control(3)*(control(4)*control(2) - value);
  
  % Derivative action : D = ad*D - Bd*(h-h_old);
  control(12) = control(9)*control(12) - control(10)*(value - control(1)); 

  % pControl is a global variable that, when false, forces to ignore the integral action
  if (pControl) 
     output = P + control(12); % P + D
  else 
     output = P + control(11) + control(12); % P + I + D
  end;
     
  % Saturation of control signal
  if (output < control(5))  
     outputSat = control(5);
  else 
     if (output > control(6))  
        outputSat = control(6);
     else 
        outputSat = output;
     end;
  end;

  % Update integral action  :  I = I + Bi*(Hr-h) + Ar*(v-u)
  control(11) = control(11) + control(7) * (control(2) - value) + control(8)*(outputSat-output);
  
  % keep the value for the next time
  control(1) = value;
  assignin ('base', strcat('controller', i), control);
  
  return





return
