function [X0] = ConditionInitiale(x1C,x1Cd,x1Cdd,x1Cddd,x1Cdddd,x2C,x2Cd,x2Cdd,x2Cddd,x2Cdddd,x3C,x3Cd,x3Cdd,x3Cddd,x3Cdddd,x03C,x03Cd,x03Cdd,x03Cddd,x03Cdddd,Param);

g   = Param.g;
m   = Param.m;
mo  = Param.mo;
m1  = Param.m1;
m2  = Param.m2;
m3  = Param.m3; 
m4  = Param.m4;
x11 = Param.x11;
x12 = Param.x12;
x13 = Param.x13;
x21 = Param.x21;
x22 = Param.x22; 
x23 = Param.x23;
x31 = Param.x31;
x32 = Param.x32;
x33 = Param.x33;
x41 = Param.x41;
x42 = Param.x42; 
x43 = Param.x43;

x01C = (g*x1C + x03C*x1Cdd - x1Cdd*x3C + x1C*x3Cdd)*(g + x3Cdd)^(-1);
x02C = (g*x2C + x03C*x2Cdd - x2Cdd*x3C + x2C*x3Cdd)*(g + x3Cdd)^(-1);

x01Cd = -((g*x1C + x03C*x1Cdd - x1Cdd*x3C + x1C*x3Cdd)*x3Cddd*(g + x3Cdd)^(-2)) + ...
      (g*x1Cd + x03Cd*x1Cdd + x03C*x1Cddd - x1Cddd*x3C - x1Cdd*x3Cd + x1Cd*x3Cdd + x1C*x3Cddd)*(g + x3Cdd)^(-1);
x02Cd = -((g*x2C + x03C*x2Cdd - x2Cdd*x3C + x2C*x3Cdd)*x3Cddd*(g + x3Cdd)^(-2)) +... 
      (g*x2Cd + x03Cd*x2Cdd + x03C*x2Cddd - x2Cddd*x3C - x2Cdd*x3Cd + x2Cd*x3Cdd + x2C*x3Cddd)*(g + x3Cdd)^(-1);

x01Cdd = -2*x3Cddd*(g*x1Cd + x03Cd*x1Cdd + x03C*x1Cddd - x1Cddd*x3C - x1Cdd*x3Cd + x1Cd*x3Cdd + x1C*x3Cddd)*(g + x3Cdd)^(-2) -... 
   (g*x1C + x03C*x1Cdd - x1Cdd*x3C + x1C*x3Cdd)*x3Cdddd*(g + x3Cdd)^(-2) + ...
   (g*x1Cdd + x03Cdd*x1Cdd + 2*x03Cd*x1Cddd + x03C*x1Cdddd - x1Cdddd*x3C - 2*x1Cddd*x3Cd + 2*x1Cd*x3Cddd + x1C*x3Cdddd)*...
    (g + x3Cdd)^(-1) + 2*(g*x1C + x03C*x1Cdd - x1Cdd*x3C + x1C*x3Cdd)*(g + x3Cdd)^(-3)*(x3Cddd)^2;	  
x02Cdd = -2*x3Cddd*(g*x2Cd + x03Cd*x2Cdd + x03C*x2Cddd - x2Cddd*x3C - x2Cdd*x3Cd + x2Cd*x3Cdd + x2C*x3Cddd)*(g + x3Cdd)^(-2) -... 
   (g*x2C + x03C*x2Cdd - x2Cdd*x3C + x2C*x3Cdd)*x3Cdddd*(g + x3Cdd)^(-2) +... 
   (g*x2Cdd + x03Cdd*x2Cdd + 2*x03Cd*x2Cddd + x03C*x2Cdddd - x2Cdddd*x3C - 2*x2Cddd*x3Cd + 2*x2Cd*x3Cddd + x2C*x3Cdddd)*...
    (g + x3Cdd)^(-1) + 2*(g*x2C + x03C*x2Cdd - x2Cdd*x3C + x2C*x3Cdd)*(g + x3Cdd)^(-3)*(x3Cddd)^2;

L0C = sqrt((x01C - x41)^2 + (x02C - x42)^2 + (x03C - x43)^2);
L1C = sqrt((x01C - x11)^2 + (x02C - x12)^2 + (x03C - x13)^2);	
L2C = sqrt((x03C - x12)^2 + (x01C - x21)^2 + (x02C - x22)^2);
L3C = sqrt((x01C - x31)^2 + (x02C - x32)^2 + (x03C - x33)^2);	
L4C = sqrt(-2*x01C*x1C - 2*x02C*x2C - 2*x03C*x3C + (x01C)^2 + (x02C)^2 + (x03C)^2 + (x1C)^2 + (x2C)^2 + (x3C)^2) +... 
      sqrt((x01C - x41)^2 + (x02C - x42)^2 + (x03C - x43)^2);

L0Cd = ((2*x01Cd*(x01C - x41) + 2*x02Cd*(x02C - x42) + 2*x03Cd*(x03C - x43))*...
      pow(sq(x01C - x41) + sq(x02C - x42) + sq(x03C - x43),...
       -0.5))/2.;
L1Cd =((2*x01Cd*(x01C - x11) + 2*x02Cd*(x02C - x12) + 2*x03Cd*(x03C - x13))*...
      ((x01C - x11)^2 + (x02C - x12)^2 + (x03C - x13)^2)^(-0.5))/2;
L2Cd =((2*x03Cd*(x03C - x12) + 2*x01Cd*(x01C - x21) + 2*x02Cd*(x02C - x22))*...
      ((x03C - x12)^2 + (x01C - x21)^2 + (x02C - x22)^2)^(-0.5))/2;	
L3Cd = ((2*x01Cd*(x01C - x31) + 2*x02Cd*(x02C - x32) + 2*x03Cd*(x03C - x33))*...
      ((x01C - x31)^2 + (x02C - x32)^2 + (x03C - x33)^2)^(-0.5))/2;	
L4Cd = ((2*x01C*x01Cd + 2*x02C*x02Cd + 2*x03C*x03Cd - 2*x01Cd*x1C - 2*x01C*x1Cd + 2*x1C*x1Cd - 2*x02Cd*x2C - 2*x02C*x2Cd +... 
         2*x2C*x2Cd - 2*x03Cd*x3C - 2*x03C*x3Cd + 2*x3C*x3Cd)*...
       (-2*x01C*x1C - 2*x02C*x2C - 2*x03C*x3C + (x01C)^2 + (x02C)^2 + (x03C)^2 + (x1C)^2 + (x2C)^2 + (x3C)^2)^(-0.5))/2. +... 
    ((2*x01Cd*(x01C - x41) + 2*x02Cd*(x02C - x42) + 2*x03Cd*(x03C - x43))*((x01C - x41)^2 + (x02C - x42)^2 + (x03C - x43)^2)^(-0.5))/2;	


X0 = [x1C,x1Cd,x2C,x2Cd,x3C,x3Cd,x01C,x01Cd,x02C,x02Cd,x03C,x03Cd,L0C,L0Cd,L1C,L1Cd,L2C,L2Cd,L3C,L3Cd,L4C,L4Cd];