function [sys,x0,str,ts] = pendulo(t,x,u,flag)
NO_LINEAL=1; % parmetro para cambiar de simulacin NO_LINEAL (1) a 
				 % LINEAL (0). Para otras simulaciones,
				 % quitar esta variable.
g=9.8; % aceleracin de la gravedad [m/s]
b=0.4; % rozamiento [N*s/rad]
l=5; % longitud [m]
m=1; % masa [kg]
switch flag
case 0 % Inicializacin
sys = [	2, % nmero de estados continuos
  		 	0, % nmero de estados discretos
			1, % nmero de salidas
			1, % nmero de entradas (perturbacion)
			0, % reservado, debe ser cero
			1, % flag de alimentacin directa
         1]; % nmero de periodos de muestreo
      
x0 = [50;60]*pi/180; % inicializacin del vector de estados
str = [];
ts = [0 0]; % periodo de muestreo: [periodo, offset]
case 1 % Derivadas: colocar
% aqu la ecuacin de
% estados,
% (ec. (3))
if NO_LINEAL==1,
sys = [x(2)+u;-g/l*sin(x(1))-b/m*x(2)]; % ec. Dif. NO LINEAL
elseif NO_LINEAL==0,
sys=[x(2)+u;-g/l*x(1)-b/m*x(2)]; % ec. Dif. LINEAL
else,
error('Opcin de no-linealidad incorrecta')
end
case 2 % Actualizacin
% de estados discretos
sys = []; % no hacer nada
case 3 % Salidas
sys = x(1);
case 9 % Terminar
sys = []; % no hacer nada
otherwise
error(['unhandled flag = ',num2str(flag)]);
end