function [sys,x0,str,ts] = sfp(t,x,u,flag,ic)

%g=9.8; % aceleracin de la gravedad [m/s]
%b=0.1; % rozamiento [N*s/rad]
%l=1; % longitud [m]
%m=1; % masa [kg]
switch flag
case 0 % Inicializacin
	sys = [	2, % nmero de estados continuos
  			 	0, % nmero de estados discretos
				2, % nmero de salidas
				4, % nmero de entradas (Masa,Longitud,Gravedad,Roce)
				0, % reservado, debe ser cero
				1, % flag de alimentacin directa
     		  1]; % nmero de periodos de muestreo    
	x0 = [ic(1);ic(2)]; % inicializacin del vector de estados
	str = [];
	ts = [0 0]; % periodo de muestreo: [periodo, offset]
case 1 % Derivadas
   sys=[x(2);-u(3)/u(2)*sin(x(1))-u(4)/u(1)*x(2)]; % Ec. Dif. Modelo
case 2 % Actualizacin Discreta
   sys = []; 
case 3 % Actualizacin Continua
   sys = [x(1);x(2)];
case 9 % Terminar
   sys = [];
otherwise
	error(['Flag no admitido= ',num2str(flag)]);
end
